using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Data.SqlClient;

public partial class test_param : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		// préparer la connexion
		string c_string = @"data source=.\SQL2005; database=annuaire; integrated security=true";
		SqlConnection cx_annuaire = new SqlConnection(c_string);

		// une requête select donne lieu à un SqlDataReader
		string rq = "select count(idu) from utilisateur where nom like @nom+'%'";
		SqlCommand sql = new SqlCommand(rq, cx_annuaire);
		
		// créer le paramètre @nom de type varchar(100)
		SqlParameter nom = new SqlParameter("@nom", SqlDbType.VarChar, 100);
		sql.Parameters.Add(nom);

		// ouvrir la connexion
		cx_annuaire.Open();

		// donner une valeur au paramètre
		sql.Parameters["@nom"].Value = "a";

		// exécuter la requête
		int c = (int)sql.ExecuteScalar();

		// fermer la connexion
		cx_annuaire.Close();

		// afficher le résultat
		Label1.Text = string.Format("Nombre de noms commençants par {0} : {1}", nom.Value, c);
    }
}
